Bug 104452 - the join path spec for the second attribute should be optional
Summary: the join path spec for the second attribute should be optional
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On: 104451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-15 20:48 UTC by Vadim Nasardinov
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 18:30:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vadim Nasardinov 2003-09-15 20:48:09 UTC
In a two-association definition like this:

association {
   Foo[0..n] foos = join ...

   Bar[0..n] bars = join ...
}

the join path for "bars" can be trivially computed by reversing
the join path specified for "foos".  The PDL compiler can be changed
to support the following syntax:

association {
   Foo[0..n] foos = join ...

   Bar[0..n] bars;
}

The join path for "bars" is omitted and the PDL compiler should
compute it by reversing the join path specified for the "foos"
attribute.  This would reduce the likelyhood of programming errors
by making it unnecessary for the programmer to perform this mechanical
calculation manually.

Comment 1 Vadim Nasardinov 2005-08-03 18:30:14 UTC
stale


Note You need to log in before you can comment on or make changes to this bug.